> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an application

> Creates a new application. Link a candidate to either a job or directly to a client for speculative applications.



## OpenAPI

````yaml /openapi-private.json post /applications
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /applications:
    post:
      tags:
        - Applications
      summary: Create an application
      description: >-
        Creates a new application. Link a candidate to either a job or directly
        to a client for speculative applications.
      operationId: createApplication
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateApplicationDto'
      responses:
        '201':
          description: Application created successfully. Returns the application ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRecordResponseDto'
        '400':
          description: Bad request - invalid application configuration
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionBaseDto'
                  - type: object
                    properties:
                      statusCode:
                        type: number
                        example: 400
                      message:
                        type: string
                        example: >-
                          Standard applications cannot have a Team or Client
                          Team
                      error:
                        type: string
                        example: Bad Request
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    CreateApplicationDto:
      type: object
      properties:
        vacancyId:
          anyOf:
            - type: string
            - type: 'null'
        candidateId:
          type: string
          minLength: 1
        stageId:
          type: string
          minLength: 1
        statusId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        clientId:
          type: string
          minLength: 1
        teamUserIds:
          type: array
          items:
            type: string
        clientTeamContactIds:
          type: array
          items:
            type: string
        owner:
          $ref: '#/components/schemas/ApplicationOwnerInputDto'
        position:
          $ref: '#/components/schemas/PositionDto'
      required:
        - vacancyId
        - candidateId
        - stageId
        - statusId
      id: PrivateCreateApplicationDto
    CreateRecordResponseDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
      required:
        - id
      id: CreateRecordResponseDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    ApplicationOwnerInputDto:
      type: object
      properties:
        userId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - userId
      id: PrivateApplicationOwnerInputDto
    PositionDto:
      type: object
      properties:
        previousId:
          anyOf:
            - type: string
            - type: 'null'
        nextId:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - previousId
        - nextId
      id: PrivatePositionDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````